lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'version'

Gem::Specification.new do |spec|

  spec.name          = "opensecret"
  spec.version       = OpenSecret::VERSION
  spec.authors       = ["opensecret.io"]
  spec.email         = ["devopsassets@gmail.com"]

  spec.summary       = %q{opensecret locks and unlocks secrets in a simple, secure and intuitive way.}
  spec.description   = %q{opensecret stashes uncrackable secrets as encrypted material in plaintext files. After installing hte opensecret gem, you init, open, put and then look at your credentials, sensitive information and secrets.}
  spec.homepage      = "https://www.devops-hub.com/software/opensecret"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.metadata["yard.run"] = "yri"
  spec.bindir        = "bin"
  spec.executables   = [ 'opensecret' ]
  spec.require_paths = ["lib"]
  spec.required_ruby_version = '>= 2.5.0'

  spec.add_dependency 'inifile', '~> 3.0'
  spec.add_dependency 'thor', '~> 0.2'
  spec.add_dependency 'bcrypt'

  spec.add_development_dependency "bundler", "~> 1.16"

end
